
Redmine - Patch #8008

Fix 'rdm-mailhandler --help' not working

2011-03-29 09:54 - Thomas Weiß

Status: Closed Start date: 2011-03-29

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Description

Invoking "rdm-mailhandler --help" gives the following error:

$ ./rdm-mailhandler.rb --help

./rdm-mailhandler.rb:103:in `initialize': undefined local variable or method `usage' for #<RedmineMailHandler:0x7f7335c540b8

@issue_attributes={}> (NameError)

from /usr/lib/ruby/1.8/getoptlong.rb:613:in `each'

from /usr/lib/ruby/1.8/getoptlong.rb:610:in `loop'

from /usr/lib/ruby/1.8/getoptlong.rb:610:in `each'

from ./rdm-mailhandler.rb:96:in `initialize'

from ./rdm-mailhandler.rb:167:in `new'

from ./rdm-mailhandler.rb:167

The attached patch fixes the issue by correcting the call to RDoc.usage (line 103).

History

#1 - 2011-03-29 10:53 - Etienne Massip

Which version of Redmine are you using ?

#2 - 2011-03-29 10:53 - Etienne Massip

And of Rails / Ruby ?

Thanks

#3 - 2011-04-03 18:56 - Jean-Philippe Lang

Btw, we should use optparse instead for ruby1.9 compatibility: http://redmine.ruby-lang.org/issues/show/2713

#4 - 2011-04-19 10:05 - Etienne Massip

- Target version set to Candidate for next major release

#5 - 2012-05-08 12:55 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

Superseded by #10837.
